/*****************************************************************************
 *
 *  infoboxdialog.cpp -- Inform user on errors, warnings or any messages.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#include "infoboxdialog.h"
#include "macros.h"
#include <QLayout>

int InfoBoxDialog::exec()
{
	setWindowTitle(tr("%1 (Information Message)").arg(APPTITLE));

	// Workaround to enlarge the box (set text to minimum 160/80 chars)
	QString str;
	int pad(160);

	if (small) pad = 80;

	pad -= text().length();

	if (pad > 0) str.fill(' ', pad);

	setText(text().append(str));

	return QMessageBox::exec();
}
