/*****************************************************************************
 *
 *  mainwidget.h -- Container for player and encoder controls.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include "encoderwidget.h"
#include "playerwidget.h"
#include <QWidget>

class MainWidget: public QWidget
{
	Q_OBJECT

public:
	MainWidget(PlayerWidget *, EncoderWidget *);
	//~MainWidget();

	void setEncoder(EncoderWidget *);
	void setPlayer(PlayerWidget *);

signals:
	void guiSizeAdjustRequest();

public slots:
	void adjustGuiSize();
		
private:
	QVBoxLayout *verticalLayout;

	PlayerWidget *player;
	EncoderWidget *encoder;
};

#endif
