/*****************************************************************************
 *
 *  process.cpp -- Process (command line) class based on QProcess.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Process module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#include "process.h"
#include "macros.h"

#include <QByteArray>

Process::Process()
{
	abortedByUser = false;
}

void Process::interrupt()
{
	// Naive write() doesn't work cause Ctrl-C sends SIGINT or WM_CLOSE
	//char ctrlC = 0x03;
	//write( &ctrlC );  // Ctrl-C

	// Terminal Ctrl-C doesn't write a 0x03 to standard input, it sends a SIGINT to the application,
	// great cause it stops MEncoder properly, but requires extra utility for Windows (taskkill not ok)

	// on linux 'kill -SIGINT pid' 
	// on Windows look at http://support.microsoft.com/kb/178893
}
