/*****************************************************************************
 *
 *  application.cpp -- Functions at application level.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#include "application.h"
#include <QLibrary>

extern int keepSystemAwake;

namespace Application
{

void restoreFromKeepAwake()
{
	if (keepSystemAwake > 1) 
	{
		--keepSystemAwake;
	}
	else
	{
#ifdef WIN32
		QLibrary libSYS("libsys.dll");

		typedef void (*reset_keep_awake_Prototype)();
		reset_keep_awake_Prototype reset_keep_awake = (reset_keep_awake_Prototype) libSYS.resolve("sys_reset_keep_awake");

		if (reset_keep_awake) reset_keep_awake();
#endif
		keepSystemAwake = 0;
	}
};

void setKeepAwake()
{
	if (keepSystemAwake) 
	{
		++keepSystemAwake;
	}
	else
	{
#ifdef WIN32
		QLibrary libSYS("libsys.dll");

		typedef void (*set_keep_awake_Prototype)();
		set_keep_awake_Prototype set_keep_awake = (set_keep_awake_Prototype) libSYS.resolve("sys_set_keep_awake");
	
		if (set_keep_awake) set_keep_awake();
#endif
		++keepSystemAwake;
	}
};

}  // namespace Application
